/******************************************************************************

   Copyright 1991 Lee Iverson

   Permission to use, copy, modify, and distribute this software and its
   documentation for any purpose without fee is hereby granted without fee,
   provided that the above copyright notice appear in all copies and that
   both that copyright notice and this permission notice appear in
   supporting documentation, and that the name of McGill not be used in
   advertising or publicity pertaining to distribution of the software
   without specific, written prior permission.  McGill makes no
   representations about the suitability of this software for any purpose.
   It is provided "as is" without express or implied warranty.

   MCGILL DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
   IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL MCGILL
   BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
   WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
   OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
   CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

   Author:
     Lee Iverson <leei@mcrcim.mcgill.edu>,
     McGill Research Centre for Intelligent Machines (McRCIM)

   $Id: FileDialog.h,v 0.9.1.1 1991/11/06 00:09:25 leei Exp $

******************************************************************************/

#ifndef _FileDialog_h_
#define _FileDialog_h_

#include <vim/proto.h>

#define XtNsearchPath "searchPath"
#define XtNstats "stats"
#define XtNlongListing "longListing"

#define XtCSearchPath "SearchPath"
#define XtCStats "Stats"
#define XtCLongListing "LongListing"

typedef struct _FileDialogClassRec *FileDialogClass;

Widget
  makeFileDialog __((char *name, Widget parent));
char *
  useFileDialog __((Widget dlog, Boolean new));

void
  addFileDialogButton __((Widget dlog, char *name, XtPointer callback));

void
  addFileDialogExclusion __((Widget dlog, char *pattern));
int
  delFileDialogExclusion __((Widget dlog, char *pattern));
void
  addFileDialogInclusion __((Widget dlog, char *pattern));
int
  delFileDialogInclusion __((Widget dlog, char *pattern));

void
  setFileDialogAcceptFunc  __((Widget dlog, Boolean (*f)(String) ));

#endif /* _FileDialog_h_ */

