/******************************************************************************

   Copyright 1991 Lee Iverson

   Permission to use, copy, modify, and distribute this software and its
   documentation for any purpose without fee is hereby granted without fee,
   provided that the above copyright notice appear in all copies and that
   both that copyright notice and this permission notice appear in
   supporting documentation, and that the name of McGill not be used in
   advertising or publicity pertaining to distribution of the software
   without specific, written prior permission.  McGill makes no
   representations about the suitability of this software for any purpose.
   It is provided "as is" without express or implied warranty.

   MCGILL DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
   IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL MCGILL
   BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
   WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
   OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
   CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

   Author:
     Lee Iverson <leei@mcrcim.mcgill.edu>,
     McGill Research Centre for Intelligent Machines (McRCIM)

   $Id: FileDialogP.h,v 0.9.1.1 1991/11/06 00:09:25 leei Exp $

******************************************************************************/

#ifndef _FileDialogP_h_
#define _FileDialogP_h_

#include <sys/types.h>
#include <sys/stat.h>

#include <FileDialog.h>
#include <X11/ShellP.h>

#include "regexp.h"

typedef struct {int empty;} FileDialogClassPart;

typedef struct _FileDialogClassRec {
    CoreClassPart       core_class;
    CompositeClassPart  composite_class;
    ShellClassPart shell_class;
    WMShellClassPart   wm_shell_class;
    VendorShellClassPart vendor_shell_class;
    TransientShellClassPart transient_shell_class;
    FileDialogClassPart dialog_class;
} FileDialogClassRec;

extern FileDialogClassRec fileDialogClassRec;

typedef struct _StringList {
    struct _StringList *prev, *next;
    char *string;
    regexp *regex;
} *StringList;

#define NMEMORY (10)

typedef struct {
    Widget dialog;
    Widget dir;
    Widget file_list;
    Widget file_name;
    Widget last_button;
    StringList exclude;
    StringList include;
    Boolean filter;
    Boolean long_listing;
    Boolean (*accept_f) __((String));
    Boolean new;
    Boolean placed;
    char *mem_dirs[NMEMORY];
    char *mem_files[NMEMORY];
    int done;
    ino_t last_ino;
    time_t last_mtime;
} FileDialogPart;

typedef  struct {
        CorePart        core;
        CompositePart   composite;
        ShellPart       shell;
        WMShellPart     wm;
        VendorShellPart vendor;
        TransientShellPart transient;
	FileDialogPart	dialog;
} FileDialogRec, *FileDialogWidget;

#endif /* _FileDialogP_h_ */
