/******************************************************************************

   Copyright 1991 Lee Iverson

   Permission to use, copy, modify, and distribute this software and its
   documentation for any purpose without fee is hereby granted without fee,
   provided that the above copyright notice appear in all copies and that
   both that copyright notice and this permission notice appear in
   supporting documentation, and that the name of McGill not be used in
   advertising or publicity pertaining to distribution of the software
   without specific, written prior permission.  McGill makes no
   representations about the suitability of this software for any purpose.
   It is provided "as is" without express or implied warranty.

   MCGILL DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
   IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL MCGILL
   BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
   WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
   OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
   CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

   Author:
     Lee Iverson <leei@mcrcim.mcgill.edu>,
     McGill Research Centre for Intelligent Machines (McRCIM)

   $Id: config.h,v 0.9.1.2 1991/12/16 21:02:38 leei Exp $

******************************************************************************/

#ifndef _config_h_
#define _config_h_

/*
 * Use the interface to the XPM 3.0 library.
 */
/* #define XPM	/* Actually defined in the Imakefile. */

/* 
 * Enable this if you have DLD and want to enable the automatic file 
 * type extension code.
 */
/* #define DLD	/* Actually defined in the Imakefile. */

/*
 * Enable this if you want automatic decompression of compressed files.
 */
#define COMPRESS

/*
 * Enable this if you want automatic decompression of yabbaed files.
 */
#define YABBA

/*
 * Enable this if you want automatic translation of BTOA files.
 */
#define BTOA

/*
 * Enable this if you want automatic translation of JPEG files.
 */
#define JPEG

/*
 * Enable this if you want to automatically use the PBMPLUS translators.
 */
#define PBMPLUS

/* 
 * Enable this if you have a BSD-compatible stdio library.
 */
#define BSD_STDIO

/* 
 * For GNU malloc.
 */
#define rcheck		/* Range checking code. */
#undef MSTATS		/* Gather memory allocation statistics. */
#define BSD		/* Using a BSD-derived system. */
#undef VMS		/* Using a VMS system. */

/* 
 * For regexp.
 */
#undef STRCSPN		/* library does not have strcspn() */
#undef void int		/* don't do void */
#undef CHARBITS 0377	/* don't do unsigned char */
#undef STATIC extern	/* don't like "static foo();" as forward decl */
#undef strchr index	/* library does not have strchr() */
#undef ERRAVAIL		/* have utzoo-compatible error() function */

#endif /* _config_h_ */
