/******************************************************************************

   Copyright 1991 Lee Iverson

   Permission to use, copy, modify, and distribute this software and its
   documentation for any purpose without fee is hereby granted without fee,
   provided that the above copyright notice appear in all copies and that
   both that copyright notice and this permission notice appear in
   supporting documentation, and that the name of McGill not be used in
   advertising or publicity pertaining to distribution of the software
   without specific, written prior permission.  McGill makes no
   representations about the suitability of this software for any purpose.
   It is provided "as is" without express or implied warranty.

   MCGILL DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
   IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL MCGILL
   BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
   WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
   OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
   CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

   Author:
     Lee Iverson <leei@mcrcim.mcgill.edu>,
     McGill Research Centre for Intelligent Machines (McRCIM)

   $Id: gray.h,v 0.9.1.1 1991/11/06 00:09:25 leei Exp $

******************************************************************************/

#ifndef _gray_h_
#define _gray_h_

/* this returns the (approximate) intensity of an RGB triple
 */

#define MaxIntensity  65536	/* maximum possible Intensity */

#define MaxGrey       16384	/* limits on the grey levels used */
#define Threshold      8192	/* in the dithering process */
#define MinGrey           0

#define grayIntensity(R,G,B) \
  (RedIntensity[(R) >> 8] + GreenIntensity[(G) >> 8] + BlueIntensity[(B) >> 8])
#define grayLevel(R,G,B) intensGray(grayIntensity(R,G,B))

#define intensGray(intens) ((intens)>>2)

#define grayIntens(intens) ((unsigned short)((intens)*MaxGrey))

#define grayScale(byte) ((unsigned short)((byte*MaxGrey)/255))
#define byteIntens(byte) ((unsigned short)(((byte)<<8)+(byte)))

extern unsigned short RedIntensity[];
extern unsigned short GreenIntensity[];
extern unsigned short BlueIntensity[];

#endif /* _gray_h_ */
