/******************************************************************************

   Copyright 1991 Lee Iverson

   Permission to use, copy, modify, and distribute this software and its
   documentation for any purpose without fee is hereby granted without fee,
   provided that the above copyright notice appear in all copies and that
   both that copyright notice and this permission notice appear in
   supporting documentation, and that the name of McGill not be used in
   advertising or publicity pertaining to distribution of the software
   without specific, written prior permission.  McGill makes no
   representations about the suitability of this software for any purpose.
   It is provided "as is" without express or implied warranty.

   MCGILL DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
   IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL MCGILL
   BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
   WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
   OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
   CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

   Author:
     Lee Iverson <leei@mcrcim.mcgill.edu>,
     McGill Research Centre for Intelligent Machines (McRCIM)

******************************************************************************/

static char RCSid[] = "$Id: test_file.c,v 0.9.1.1 1991/11/06 00:09:25 leei Exp $";

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>

#include <X11/Shell.h>

#include <X11/Xaw/Command.h>
#include <X11/Xaw/Box.h>

#include "FileDialog.h"

/*
 *	Widget and non-widget resources if the application defaults
 *	file can't be found.
 *	[ Generated automatically from XFileDialog.ad. ]
 */
static String fallbackResources[] = {
#include "XFileDialog.ad.h"
	NULL
};

static void
Quit( Widget w, XtPointer client_data, XtPointer call_data )
{
    exit(0);
}

static void
GetFileDialog( Widget w, XtPointer client_data, XtPointer call_data )
{
    Widget dlog = (Widget) client_data;
    char *fname = useFileDialog(dlog,True);

    printf( "File dialog returned: %s\n", fname );
}

main(argc,argv)
Cardinal argc;
String *argv;
{
    XtAppContext app_context;
    Widget topLevel;
    Widget fdialog;

    topLevel = XtVaAppInitialize( &app_context, "XFileDialog",
				  NULL, 0,
				  &argc, argv,
				  fallbackResources,
				  NULL );
    
    {
	Widget box = XtVaCreateManagedWidget("box", boxWidgetClass,
					     topLevel, NULL);

	Widget quit = XtVaCreateManagedWidget(
		"quit",	/* widget name */
		commandWidgetClass,	/* widget class */
		box,	/* parent widget*/
		NULL);              /* terminate varargs list */

	Widget pressme = XtVaCreateManagedWidget(
		"pressme",	/* widget name	 */
		commandWidgetClass,	/* widget class */
		box,	/* parent widget*/
		NULL);              /* terminate varargs list */

	fdialog = makeFileDialog( "file", topLevel );

	XtAddCallback( quit, XtNcallback, Quit, 0);
	XtAddCallback( pressme, XtNcallback, GetFileDialog, fdialog);
    }

    XtRealizeWidget(topLevel);
    XtAppMainLoop(app_context);
}
